From 998feeb531404850ce42773623ece028199eadef Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Fri, 27 Jun 2014 22:12:36 +0200
Subject: [PATCH] WIP acpi-20140627

---
 sys/contrib/dev/acpica/Makefile                    |   12 +-
 sys/contrib/dev/acpica/changes.txt                 |  101 ++
 .../dev/acpica/generate/unix/acpibin/Makefile      |    3 +
 .../dev/acpica/generate/unix/acpidump/Makefile     |    5 +
 .../dev/acpica/generate/unix/acpiexamples/Makefile |   22 +-
 .../dev/acpica/generate/unix/acpiexec/Makefile     |    3 +
 .../dev/acpica/generate/unix/acpihelp/Makefile     |   11 +-
 .../dev/acpica/generate/unix/acpinames/Makefile    |   12 +-
 .../dev/acpica/generate/unix/acpisrc/Makefile      |   13 +-
 .../dev/acpica/generate/unix/acpixtract/Makefile   |   14 +-
 sys/contrib/dev/acpica/generate/unix/iasl/Makefile |    3 +
 sys/contrib/dev/acpica/source/common/ahpredef.c    |    1 -
 sys/contrib/dev/acpica/source/common/cmfsize.c     |   20 +-
 sys/contrib/dev/acpica/source/common/getopt.c      |   14 +-
 .../dev/acpica/source/compiler/aslanalyze.c        |   48 -
 .../dev/acpica/source/compiler/aslcompiler.h       |    9 -
 sys/contrib/dev/acpica/source/compiler/aslmain.c   |    1 +
 .../dev/acpica/source/compiler/aslmessages.c       |    1 -
 .../dev/acpica/source/compiler/aslmessages.h       |    1 -
 sys/contrib/dev/acpica/source/compiler/aslmethod.c |   20 -
 .../dev/acpica/source/compiler/asloptions.c        |    2 +-
 sys/contrib/dev/acpica/source/compiler/aslstubs.c  |   25 -
 .../acpica/source/components/debugger/dbfileio.c   |  316 +----
 .../dev/acpica/source/components/debugger/dbtest.c |    1 +
 .../source/components/disassembler/dmbuffer.c      |   72 +-
 .../acpica/source/components/disassembler/dmwalk.c |   28 +-
 .../acpica/source/components/executer/exfield.c    |  103 +-
 .../dev/acpica/source/components/hardware/hwregs.c |    8 +-
 .../acpica/source/components/namespace/nsobject.c  |   11 +
 .../dev/acpica/source/components/tables/tbdata.c   |   65 +-
 .../dev/acpica/source/components/tables/tbinstal.c |    8 +-
 .../dev/acpica/source/components/tables/tbutils.c  |    4 -
 .../acpica/source/components/utilities/utbuffer.c  |  135 ++
 .../acpica/source/components/utilities/utclib.c    |    6 +-
 .../acpica/source/components/utilities/utcopy.c    |    7 +
 .../acpica/source/components/utilities/utdebug.c   |   30 +
 .../acpica/source/components/utilities/utfileio.c  |  363 ++++++
 .../acpica/source/components/utilities/utglobal.c  |  157 ---
 .../acpica/source/components/utilities/utinit.c    |  156 +++
 .../acpica/source/components/utilities/utprint.c   |  796 ++++++++++++
 sys/contrib/dev/acpica/source/include/acapps.h     |    9 +-
 sys/contrib/dev/acpica/source/include/acdebug.h    |    5 -
 sys/contrib/dev/acpica/source/include/acglobal.h   |    8 +-
 sys/contrib/dev/acpica/source/include/acnames.h    |    1 -
 sys/contrib/dev/acpica/source/include/acpi.h       |    4 +-
 sys/contrib/dev/acpica/source/include/acpiosxf.h   |   49 +
 sys/contrib/dev/acpica/source/include/acpixf.h     |   36 +-
 sys/contrib/dev/acpica/source/include/acpredef.h   |    6 -
 sys/contrib/dev/acpica/source/include/actables.h   |   14 +-
 sys/contrib/dev/acpica/source/include/actypes.h    |   16 +
 sys/contrib/dev/acpica/source/include/acutils.h    |   70 +-
 .../dev/acpica/source/include/platform/accygwin.h  |    9 +-
 .../dev/acpica/source/include/platform/acefi.h     |   61 +
 .../dev/acpica/source/include/platform/acenv.h     |   53 +-
 .../dev/acpica/source/include/platform/acenvex.h   |   63 +
 .../dev/acpica/source/include/platform/aclinux.h   |  194 +--
 .../dev/acpica/source/include/platform/aclinuxex.h |  137 +++
 .../source/os_specific/service_layers/osefitbl.c   | 1033 ++++++++++++++++
 .../source/os_specific/service_layers/osefixf.c    | 1300 ++++++++++++++++++++
 .../source/os_specific/service_layers/oslibcfs.c   |  251 ++++
 .../source/os_specific/service_layers/oslinuxtbl.c |   61 +-
 .../source/os_specific/service_layers/osunixxf.c   |   66 +-
 .../source/os_specific/service_layers/oswinxf.c    |   65 +-
 .../dev/acpica/source/tools/acpibin/abcompare.c    |   27 -
 .../dev/acpica/source/tools/acpibin/abmain.c       |    2 +-
 .../dev/acpica/source/tools/acpidump/acpidump.h    |    3 +-
 .../dev/acpica/source/tools/acpidump/apdump.c      |   76 +-
 .../dev/acpica/source/tools/acpidump/apfiles.c     |   89 +-
 .../dev/acpica/source/tools/acpidump/apmain.c      |   80 +-
 .../dev/acpica/source/tools/acpiexec/aehandlers.c  |   16 +-
 .../dev/acpica/source/tools/acpiexec/aemain.c      |   23 +-
 .../dev/acpica/source/tools/acpiexec/aetables.c    |    8 +-
 .../dev/acpica/source/tools/acpihelp/ahmain.c      |   19 +-
 .../dev/acpica/source/tools/acpinames/anmain.c     |   26 +-
 .../dev/acpica/source/tools/acpinames/anstubs.c    |  174 ---
 .../dev/acpica/source/tools/acpinames/antables.c   |    8 +-
 .../dev/acpica/source/tools/acpisrc/asmain.c       |    5 +-
 .../dev/acpica/source/tools/acpisrc/astable.c      |    6 +
 .../dev/acpica/source/tools/acpixtract/axmain.c    |    7 +-
 .../dev/acpica/source/tools/examples/examples.c    |   61 +
 .../dev/acpica/source/tools/examples/exstubs.c     |  250 ----
 .../dev/acpica/source/tools/examples/extables.c    |   41 +-
 usr.sbin/acpi/acpibin/Makefile                     |    3 +
 usr.sbin/acpi/acpidump/Makefile                    |    5 +
 usr.sbin/acpi/acpiexec/Makefile                    |    3 +
 usr.sbin/acpi/acpihelp/Makefile                    |    8 +-
 usr.sbin/acpi/acpinames/Makefile                   |   11 +-
 usr.sbin/acpi/acpixtract/Makefile                  |   10 +-
 usr.sbin/acpi/iasl/Makefile                        |    3 +
 89 files changed, 5567 insertions(+), 1515 deletions(-)
 create mode 100644 sys/contrib/dev/acpica/source/components/utilities/utfileio.c
 create mode 100644 sys/contrib/dev/acpica/source/components/utilities/utprint.c
 create mode 100644 sys/contrib/dev/acpica/source/include/platform/acenvex.h
 create mode 100644 sys/contrib/dev/acpica/source/include/platform/aclinuxex.h
 create mode 100644 sys/contrib/dev/acpica/source/os_specific/service_layers/osefitbl.c
 create mode 100644 sys/contrib/dev/acpica/source/os_specific/service_layers/osefixf.c
 create mode 100644 sys/contrib/dev/acpica/source/os_specific/service_layers/oslibcfs.c

diff --git a/sys/contrib/dev/acpica/Makefile b/sys/contrib/dev/acpica/Makefile
index 5ee33d7..80bf379 100644
--- a/sys/contrib/dev/acpica/Makefile
+++ b/sys/contrib/dev/acpica/Makefile
@@ -10,7 +10,13 @@
 # code directories. This prevents collisions between different
 # compilations of the same source file with different compile options.
 #
-BUILD_DIRECTORY_PATH = "generate/unix"
 
-include generate/unix/Makefile.config
-include generate/unix/Makefile.common
+ifeq ($(OS),efi)
+	BUILD_DIRECTORY_PATH = "generate/efi"
+	include generate/efi/Makefile.config
+	include generate/efi/Makefile.common
+else
+	BUILD_DIRECTORY_PATH = "generate/unix"
+	include generate/unix/Makefile.config
+	include generate/unix/Makefile.common
+endif
diff --git a/sys/contrib/dev/acpica/generate/unix/acpibin/Makefile b/sys/contrib/dev/acpica/generate/unix/acpibin/Makefile
index c33c085..1be484d 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpibin/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpibin/Makefile
@@ -34,6 +34,7 @@ OBJECTS = \
 	$(OBJDIR)/utalloc.o\
 	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\
 	$(OBJDIR)/utexcep.o\
 	$(OBJDIR)/utglobal.o\
@@ -41,9 +42,11 @@ OBJECTS = \
 	$(OBJDIR)/utmath.o\
 	$(OBJDIR)/utmisc.o\
 	$(OBJDIR)/utmutex.o\
+	$(OBJDIR)/utprint.o\
 	$(OBJDIR)/utstate.o\
 	$(OBJDIR)/utstring.o\
 	$(OBJDIR)/utxferror.o\
+	$(OBJDIR)/oslibcfs.o\
 	$(OBJDIR)/osunixxf.o
 
 #
diff --git a/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile b/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile
index 8a9cda5..64256ea 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile
@@ -33,13 +33,18 @@ OBJECTS = \
 	$(OBJDIR)/apmain.o\
 	$(OBJDIR)/cmfsize.o\
 	$(OBJDIR)/getopt.o\
+	$(OBJDIR)/oslibcfs.o\
 	$(OBJDIR)/osunixdir.o\
 	$(OBJDIR)/osunixmap.o\
+	$(OBJDIR)/osunixxf.o\
 	$(OBJDIR)/tbprint.o\
 	$(OBJDIR)/tbxfroot.o\
 	$(OBJDIR)/utbuffer.o\
+	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utexcep.o\
+	$(OBJDIR)/utglobal.o\
 	$(OBJDIR)/utmath.o\
+	$(OBJDIR)/utprint.o\
 	$(OBJDIR)/utstring.o\
 	$(OBJDIR)/utxferror.o
 
diff --git a/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile b/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
index c2f3c73..8bcdb9b 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
@@ -20,9 +20,10 @@ PROG = $(OBJDIR)/acpiexamples
 #
 vpath %.c \
     $(ACPIEXAMPLES)\
-    $(ACPICA_DEBUGGER)\
     $(ACPICA_DISPATCHER)\
+    $(ACPICA_EVENTS)\
     $(ACPICA_EXECUTER)\
+    $(ACPICA_HARDWARE)\
     $(ACPICA_NAMESPACE)\
     $(ACPICA_PARSER)\
     $(ACPICA_TABLES)\
@@ -51,6 +52,12 @@ OBJECTS = \
 	$(OBJDIR)/dswload2.o\
 	$(OBJDIR)/dswscope.o\
 	$(OBJDIR)/dswstate.o\
+	$(OBJDIR)/evhandler.o\
+	$(OBJDIR)/evmisc.o\
+	$(OBJDIR)/evregion.o\
+	$(OBJDIR)/evrgnini.o\
+	$(OBJDIR)/evxface.o\
+	$(OBJDIR)/evxfregn.o\
 	$(OBJDIR)/exconfig.o\
 	$(OBJDIR)/exconvrt.o\
 	$(OBJDIR)/excreate.o\
@@ -75,8 +82,10 @@ OBJECTS = \
 	$(OBJDIR)/exstorob.o\
 	$(OBJDIR)/exsystem.o\
 	$(OBJDIR)/exutils.o\
+	$(OBJDIR)/hwpci.o\
 	$(OBJDIR)/nsaccess.o\
 	$(OBJDIR)/nsalloc.o\
+	$(OBJDIR)/nsarguments.o\
 	$(OBJDIR)/nsconvert.o\
 	$(OBJDIR)/nsdump.o\
 	$(OBJDIR)/nseval.o\
@@ -85,12 +94,17 @@ OBJECTS = \
 	$(OBJDIR)/nsnames.o\
 	$(OBJDIR)/nsobject.o\
 	$(OBJDIR)/nsparse.o\
+	$(OBJDIR)/nspredef.o\
+	$(OBJDIR)/nsprepkg.o\
+	$(OBJDIR)/nsrepair.o\
+	$(OBJDIR)/nsrepair2.o\
 	$(OBJDIR)/nssearch.o\
 	$(OBJDIR)/nsutils.o\
 	$(OBJDIR)/nswalk.o\
 	$(OBJDIR)/nsxfeval.o\
 	$(OBJDIR)/nsxfname.o\
 	$(OBJDIR)/nsxfobj.o\
+	$(OBJDIR)/oslibcfs.o\
 	$(OBJDIR)/osunixxf.o\
 	$(OBJDIR)/psargs.o\
 	$(OBJDIR)/psloop.o\
@@ -121,8 +135,11 @@ OBJECTS = \
 	$(OBJDIR)/utdecode.o\
 	$(OBJDIR)/utdelete.o\
 	$(OBJDIR)/uterror.o\
+	$(OBJDIR)/uteval.o\
 	$(OBJDIR)/utexcep.o\
 	$(OBJDIR)/utglobal.o\
+	$(OBJDIR)/utids.o\
+	$(OBJDIR)/utinit.o\
 	$(OBJDIR)/utlock.o\
 	$(OBJDIR)/utmath.o\
 	$(OBJDIR)/utmisc.o\
@@ -130,6 +147,9 @@ OBJECTS = \
 	$(OBJDIR)/utobject.o\
 	$(OBJDIR)/utosi.o\
 	$(OBJDIR)/utownerid.o\
+	$(OBJDIR)/utpredef.o\
+	$(OBJDIR)/utprint.o\
+	$(OBJDIR)/utresrc.o\
 	$(OBJDIR)/utstate.o\
 	$(OBJDIR)/utstring.o\
 	$(OBJDIR)/utxface.o\
diff --git a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
index 84cc978..6c5c632 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
@@ -155,6 +155,7 @@ OBJECTS = \
 	$(OBJDIR)/nsxfeval.o\
 	$(OBJDIR)/nsxfname.o\
 	$(OBJDIR)/nsxfobj.o\
+	$(OBJDIR)/oslibcfs.o\
 	$(OBJDIR)/osunixxf.o\
 	$(OBJDIR)/psargs.o\
 	$(OBJDIR)/psloop.o\
@@ -201,6 +202,7 @@ OBJECTS = \
 	$(OBJDIR)/uterror.o\
 	$(OBJDIR)/uteval.o\
 	$(OBJDIR)/utexcep.o\
+	$(OBJDIR)/utfileio.o\
 	$(OBJDIR)/utglobal.o\
 	$(OBJDIR)/utids.o\
 	$(OBJDIR)/utinit.o\
@@ -212,6 +214,7 @@ OBJECTS = \
 	$(OBJDIR)/utosi.o\
 	$(OBJDIR)/utownerid.o\
 	$(OBJDIR)/utpredef.o\
+	$(OBJDIR)/utprint.o\
 	$(OBJDIR)/utresrc.o\
 	$(OBJDIR)/utstate.o\
 	$(OBJDIR)/utstring.o\
diff --git a/sys/contrib/dev/acpica/generate/unix/acpihelp/Makefile b/sys/contrib/dev/acpica/generate/unix/acpihelp/Makefile
index da6ee49..25c8c0a 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpihelp/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpihelp/Makefile
@@ -21,7 +21,8 @@ PROG = $(OBJDIR)/acpihelp
 vpath %.c \
     $(ACPIHELP)\
     $(ACPICA_COMMON)\
-    $(ACPICA_UTILITIES)
+    $(ACPICA_UTILITIES)\
+    $(ACPICA_OSL)
 
 HEADERS = \
     $(wildcard $(ACPIHELP)/*.h)
@@ -35,8 +36,14 @@ OBJECTS = \
 	$(OBJDIR)/ahpredef.o\
 	$(OBJDIR)/ahmain.o\
 	$(OBJDIR)/getopt.o\
+	$(OBJDIR)/oslibcfs.o\
+	$(OBJDIR)/osunixxf.o\
+	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utexcep.o\
-	$(OBJDIR)/utpredef.o
+	$(OBJDIR)/utglobal.o\
+	$(OBJDIR)/utmath.o\
+	$(OBJDIR)/utpredef.o\
+	$(OBJDIR)/utprint.o
 
 #
 # Flags specific to acpihelp
diff --git a/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile b/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
index 00a0026..27c7b95 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpinames/Makefile
@@ -21,7 +21,6 @@ PROG = $(OBJDIR)/acpinames
 #
 vpath %.c \
     $(ACPINAMES)\
-    $(ACPICA_DEBUGGER)\
     $(ACPICA_DISPATCHER)\
     $(ACPICA_EXECUTER)\
     $(ACPICA_NAMESPACE)\
@@ -39,7 +38,6 @@ OBJECTS = \
 	$(OBJDIR)/anstubs.o\
 	$(OBJDIR)/antables.o\
 	$(OBJDIR)/cmfsize.o\
-	$(OBJDIR)/dbfileio.o\
 	$(OBJDIR)/dsfield.o\
 	$(OBJDIR)/dsmthdat.o\
 	$(OBJDIR)/dsobject.o\
@@ -49,9 +47,12 @@ OBJECTS = \
 	$(OBJDIR)/dswscope.o\
 	$(OBJDIR)/dswstate.o\
 	$(OBJDIR)/excreate.o\
+	$(OBJDIR)/exdump.o\
+	$(OBJDIR)/exmutex.o\
 	$(OBJDIR)/exnames.o\
 	$(OBJDIR)/exresnte.o\
 	$(OBJDIR)/exresolv.o\
+	$(OBJDIR)/exsystem.o\
 	$(OBJDIR)/exutils.o\
 	$(OBJDIR)/getopt.o\
 	$(OBJDIR)/nsaccess.o\
@@ -68,6 +69,7 @@ OBJECTS = \
 	$(OBJDIR)/nsxfeval.o\
 	$(OBJDIR)/nsxfname.o\
 	$(OBJDIR)/nsxfobj.o\
+	$(OBJDIR)/oslibcfs.o\
 	$(OBJDIR)/osunixxf.o\
 	$(OBJDIR)/psargs.o\
 	$(OBJDIR)/psloop.o\
@@ -91,13 +93,18 @@ OBJECTS = \
 	$(OBJDIR)/tbxfroot.o\
 	$(OBJDIR)/utaddress.o\
 	$(OBJDIR)/utalloc.o\
+	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\
 	$(OBJDIR)/utdelete.o\
 	$(OBJDIR)/uterror.o\
+	$(OBJDIR)/uteval.o\
 	$(OBJDIR)/utexcep.o\
+	$(OBJDIR)/utfileio.o\
 	$(OBJDIR)/utglobal.o\
+	$(OBJDIR)/utids.o\
+	$(OBJDIR)/utinit.o\
 	$(OBJDIR)/utlock.o\
 	$(OBJDIR)/utmath.o\
 	$(OBJDIR)/utmisc.o\
@@ -105,6 +112,7 @@ OBJECTS = \
 	$(OBJDIR)/utobject.o\
 	$(OBJDIR)/utosi.o\
 	$(OBJDIR)/utownerid.o\
+	$(OBJDIR)/utprint.o\
 	$(OBJDIR)/utstate.o\
 	$(OBJDIR)/utstring.o\
 	$(OBJDIR)/utxface.o\
diff --git a/sys/contrib/dev/acpica/generate/unix/acpisrc/Makefile b/sys/contrib/dev/acpica/generate/unix/acpisrc/Makefile
index 50199ce..5d40c09 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpisrc/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpisrc/Makefile
@@ -19,6 +19,7 @@ PROG = $(OBJDIR)/acpisrc
 #
 vpath %.c \
     $(ACPISRC)\
+    $(ACPICA_UTILITIES)\
     $(ACPICA_COMMON)\
     $(ACPICA_OSL)
 
@@ -33,9 +34,17 @@ OBJECTS = \
     $(OBJDIR)/asremove.o\
     $(OBJDIR)/astable.o\
     $(OBJDIR)/asutils.o\
-	$(OBJDIR)/cmfsize.o\
+    $(OBJDIR)/cmfsize.o\
     $(OBJDIR)/getopt.o \
-    $(OBJDIR)/osunixdir.o
+    $(OBJDIR)/oslibcfs.o\
+    $(OBJDIR)/osunixdir.o\
+    $(OBJDIR)/osunixxf.o\
+    $(OBJDIR)/utdebug.o\
+    $(OBJDIR)/utexcep.o\
+    $(OBJDIR)/utglobal.o\
+    $(OBJDIR)/utmath.o\
+    $(OBJDIR)/utprint.o\
+    $(OBJDIR)/utxferror.o
 
 #
 # Compile flags specific to acpisrc
diff --git a/sys/contrib/dev/acpica/generate/unix/acpixtract/Makefile b/sys/contrib/dev/acpica/generate/unix/acpixtract/Makefile
index 1e5b101..750583e 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpixtract/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpixtract/Makefile
@@ -19,7 +19,9 @@ PROG = $(OBJDIR)/acpixtract
 #
 vpath %.c \
     $(ACPIXTRACT)\
-    $(ACPICA_COMMON)
+    $(ACPICA_UTILITIES)\
+    $(ACPICA_COMMON)\
+    $(ACPICA_OSL)
 
 HEADERS = \
     $(wildcard $(ACPIXTRACT)/*.h)
@@ -27,7 +29,15 @@ HEADERS = \
 OBJECTS = \
     $(OBJDIR)/acpixtract.o\
     $(OBJDIR)/axmain.o\
-    $(OBJDIR)/getopt.o
+    $(OBJDIR)/getopt.o\
+    $(OBJDIR)/oslibcfs.o\
+    $(OBJDIR)/osunixxf.o\
+    $(OBJDIR)/utdebug.o\
+    $(OBJDIR)/utexcep.o\
+    $(OBJDIR)/utglobal.o\
+    $(OBJDIR)/utmath.o\
+    $(OBJDIR)/utprint.o\
+    $(OBJDIR)/utxferror.o
 
 #
 # Flags specific to acpixtract
diff --git a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
index 8cc8d81..7fd7bbe 100644
--- a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
@@ -160,6 +160,7 @@ OBJECTS = \
 	$(OBJDIR)/nswalk.o\
 	$(OBJDIR)/nsxfobj.o\
 	$(OBJDIR)/osunixxf.o\
+	$(OBJDIR)/oslibcfs.o\
 	$(OBJDIR)/prexpress.o\
 	$(OBJDIR)/prmacros.o\
 	$(OBJDIR)/prscan.o\
@@ -190,6 +191,7 @@ OBJECTS = \
 	$(OBJDIR)/utdelete.o\
 	$(OBJDIR)/uterror.o\
 	$(OBJDIR)/utexcep.o\
+	$(OBJDIR)/utfileio.o\
 	$(OBJDIR)/utglobal.o\
 	$(OBJDIR)/utinit.o\
 	$(OBJDIR)/utlock.o\
@@ -199,6 +201,7 @@ OBJECTS = \
 	$(OBJDIR)/utobject.o\
 	$(OBJDIR)/utownerid.o\
 	$(OBJDIR)/utpredef.o\
+	$(OBJDIR)/utprint.o\
 	$(OBJDIR)/utresrc.o\
 	$(OBJDIR)/utstate.o\
 	$(OBJDIR)/utstring.o\
diff --git a/sys/contrib/dev/acpica/source/common/ahpredef.c b/sys/contrib/dev/acpica/source/common/ahpredef.c
index 2ac216f..6f4258b 100644
--- a/sys/contrib/dev/acpica/source/common/ahpredef.c
+++ b/sys/contrib/dev/acpica/source/common/ahpredef.c
@@ -217,7 +217,6 @@ const AH_PREDEFINED_NAME    AslPredefinedInfo[] =
     AH_PREDEF ("_PR3",    "Power Resources for D3hot", "Returns a list of dependent power resources to enter state D3hot"),
     AH_PREDEF ("_PRE",    "Power Resources for Enumeration", "Returns a list of dependent power resources to enumerate devices on a bus"),
     AH_PREDEF ("_PRL",    "Power Source Redundancy List", "Returns a list of power source devices in the same redundancy grouping"),
-    AH_PREDEF ("_PRP",    "Device Properties", "Returns a list of device property information"),
     AH_PREDEF ("_PRS",    "Possible Resource Settings", "Returns a list of a device's possible resource settings"),
     AH_PREDEF ("_PRT",    "PCI Routing Table", "Returns a list of PCI interrupt mappings"),
     AH_PREDEF ("_PRW",    "Power Resources for Wake", "Returns a list of dependent power resources for waking"),
diff --git a/sys/contrib/dev/acpica/source/common/cmfsize.c b/sys/contrib/dev/acpica/source/common/cmfsize.c
index c8d5a56..904d7d8 100644
--- a/sys/contrib/dev/acpica/source/common/cmfsize.c
+++ b/sys/contrib/dev/acpica/source/common/cmfsize.c
@@ -59,33 +59,34 @@
  * RETURN:      File Size. On error, -1 (ACPI_UINT32_MAX)
  *
  * DESCRIPTION: Get the size of a file. Uses seek-to-EOF. File must be open.
- *              Does not disturb the current file pointer. Uses perror for
- *              error messages.
+ *              Does not disturb the current file pointer.
  *
  ******************************************************************************/
 
 UINT32
 CmGetFileSize (
-    FILE                    *File)
+    ACPI_FILE               File)
 {
     long                    FileSize;
     long                    CurrentOffset;
+    ACPI_STATUS             Status;
 
 
     /* Save the current file pointer, seek to EOF to obtain file size */
 
-    CurrentOffset = ftell (File);
+    CurrentOffset = AcpiOsGetFileOffset (File);
     if (CurrentOffset < 0)
     {
         goto OffsetError;
     }
 
-    if (fseek (File, 0, SEEK_END))
+    Status = AcpiOsSetFileOffset (File, 0, ACPI_FILE_END);
+    if (ACPI_FAILURE (Status))
     {
         goto SeekError;
     }
 
-    FileSize = ftell (File);
+    FileSize = AcpiOsGetFileOffset (File);
     if (FileSize < 0)
     {
         goto OffsetError;
@@ -93,7 +94,8 @@ CmGetFileSize (
 
     /* Restore original file pointer */
 
-    if (fseek (File, CurrentOffset, SEEK_SET))
+    Status = AcpiOsSetFileOffset (File, CurrentOffset, ACPI_FILE_BEGIN);
+    if (ACPI_FAILURE (Status))
     {
         goto SeekError;
     }
@@ -102,10 +104,10 @@ CmGetFileSize (
 
 
 OffsetError:
-    perror ("Could not get file offset");
+    AcpiLogError ("Could not get file offset");
     return (ACPI_UINT32_MAX);
 
 SeekError:
-    perror ("Could not seek file");
+    AcpiLogError ("Could not set file offset");
     return (ACPI_UINT32_MAX);
 }
diff --git a/sys/contrib/dev/acpica/source/common/getopt.c b/sys/contrib/dev/acpica/source/common/getopt.c
index bca9a6f..5ae1e0a 100644
--- a/sys/contrib/dev/acpica/source/common/getopt.c
+++ b/sys/contrib/dev/acpica/source/common/getopt.c
@@ -51,14 +51,12 @@
  *    "f|"      - Option has required single-char sub-options
  */
 
-#include <stdio.h>
-#include <string.h>
 #include "acpi.h"
 #include "accommon.h"
 #include "acapps.h"
 
 #define ACPI_OPTION_ERROR(msg, badchar) \
-    if (AcpiGbl_Opterr) {fprintf (stderr, "%s%c\n", msg, badchar);}
+    if (AcpiGbl_Opterr) {AcpiLogError ("%s%c\n", msg, badchar);}
 
 
 int                 AcpiGbl_Opterr = 1;
@@ -123,7 +121,7 @@ AcpiGetoptArgument (
  * PARAMETERS:  argc, argv          - from main
  *              opts                - options info list
  *
- * RETURN:      Option character or EOF
+ * RETURN:      Option character or ACPI_OPT_END
  *
  * DESCRIPTION: Get the next option
  *
@@ -145,12 +143,12 @@ AcpiGetopt(
             argv[AcpiGbl_Optind][0] != '-' ||
             argv[AcpiGbl_Optind][1] == '\0')
         {
-            return (EOF);
+            return (ACPI_OPT_END);
         }
-        else if (strcmp (argv[AcpiGbl_Optind], "--") == 0)
+        else if (ACPI_STRCMP (argv[AcpiGbl_Optind], "--") == 0)
         {
             AcpiGbl_Optind++;
-            return (EOF);
+            return (ACPI_OPT_END);
         }
     }
 
@@ -161,7 +159,7 @@ AcpiGetopt(
     /* Make sure that the option is legal */
 
     if (CurrentChar == ':' ||
-       (OptsPtr = strchr (opts, CurrentChar)) == NULL)
+       (OptsPtr = ACPI_STRCHR (opts, CurrentChar)) == NULL)
     {
         ACPI_OPTION_ERROR ("Illegal option: -", CurrentChar);
 
diff --git a/sys/contrib/dev/acpica/source/compiler/aslanalyze.c b/sys/contrib/dev/acpica/source/compiler/aslanalyze.c
index 940f220..112c121 100644
--- a/sys/contrib/dev/acpica/source/compiler/aslanalyze.c
+++ b/sys/contrib/dev/acpica/source/compiler/aslanalyze.c
@@ -569,51 +569,3 @@ ApCheckRegMethod (
 
     AslError (ASL_WARNING, ASL_MSG_NO_REGION, Op, NULL);
 }
-
-
-/*******************************************************************************
- *
- * FUNCTION:    ApFindNameInScope
- *
- * PARAMETERS:  Name                - Name to search for
- *              Op                  - Current parse op
- *
- * RETURN:      TRUE if name found in the same scope as Op.
- *
- * DESCRIPTION: Determine if a name appears in the same scope as Op, as either
- *              a Method() or a Name().
- *
- ******************************************************************************/
-
-BOOLEAN
-ApFindNameInScope (
-    char                    *Name,
-    ACPI_PARSE_OBJECT       *Op)
-{
-    ACPI_PARSE_OBJECT       *Next;
-    ACPI_PARSE_OBJECT       *Parent;
-
-
-    /* Get the start of the current scope */
-
-    Parent = Op->Asl.Parent;
-    Next = Parent->Asl.Child;
-
-    /* Search entire scope for a match to the name */
-
-    while (Next)
-    {
-        if ((Next->Asl.ParseOpcode == PARSEOP_METHOD) ||
-            (Next->Asl.ParseOpcode == PARSEOP_NAME))
-        {
-            if (ACPI_COMPARE_NAME (Name, Next->Asl.NameSeg))
-            {
-                return (TRUE);
-            }
-        }
-
-        Next = Next->Asl.Next;
-    }
-
-    return (FALSE);
-}
diff --git a/sys/contrib/dev/acpica/source/compiler/aslcompiler.h b/sys/contrib/dev/acpica/source/compiler/aslcompiler.h
index 1f94245..40dcd69 100644
--- a/sys/contrib/dev/acpica/source/compiler/aslcompiler.h
+++ b/sys/contrib/dev/acpica/source/compiler/aslcompiler.h
@@ -275,11 +275,6 @@ void
 ApCheckRegMethod (
     ACPI_PARSE_OBJECT       *Op);
 
-BOOLEAN
-ApFindNameInScope (
-    char                    *Name,
-    ACPI_PARSE_OBJECT       *Op);
-
 
 /*
  * aslerror - error handling/reporting
@@ -350,10 +345,6 @@ void
 AeClearErrorLog (
     void);
 
-ACPI_PHYSICAL_ADDRESS
-AeLocalGetRootPointer (
-    void);
-
 
 /*
  * asllisting - generate all "listing" type files
diff --git a/sys/contrib/dev/acpica/source/compiler/aslmain.c b/sys/contrib/dev/acpica/source/compiler/aslmain.c
index 6e92d53..3034281 100644
--- a/sys/contrib/dev/acpica/source/compiler/aslmain.c
+++ b/sys/contrib/dev/acpica/source/compiler/aslmain.c
@@ -341,6 +341,7 @@ main (
         return (-1);
     }
 
+    AcpiOsInitialize ();
     ACPI_DEBUG_INITIALIZE (); /* For debug version only */
 
     /* Initialize preprocessor and compiler before command line processing */
diff --git a/sys/contrib/dev/acpica/source/compiler/aslmessages.c b/sys/contrib/dev/acpica/source/compiler/aslmessages.c
index c9d196f..926bc46 100644
--- a/sys/contrib/dev/acpica/source/compiler/aslmessages.c
+++ b/sys/contrib/dev/acpica/source/compiler/aslmessages.c
@@ -233,7 +233,6 @@ const char                      *AslCompilerMsgs [] =
 /*    ASL_MSG_WRITE */                      "Could not write file",
 /*    ASL_MSG_RANGE */                      "Constant out of range",
 /*    ASL_MSG_BUFFER_ALLOCATION */          "Could not allocate line buffer",
-/*    ASL_MSG_MISSING_DEPENDENCY */         "Missing dependency"
 };
 
 /* Table compiler */
diff --git a/sys/contrib/dev/acpica/source/compiler/aslmessages.h b/sys/contrib/dev/acpica/source/compiler/aslmessages.h
index 48ebcbf..851d46c 100644
--- a/sys/contrib/dev/acpica/source/compiler/aslmessages.h
+++ b/sys/contrib/dev/acpica/source/compiler/aslmessages.h
@@ -235,7 +235,6 @@ typedef enum
     ASL_MSG_WRITE,
     ASL_MSG_RANGE,
     ASL_MSG_BUFFER_ALLOCATION,
-    ASL_MSG_MISSING_DEPENDENCY,
 
     /* These messages are used by the Data Table compiler only */
 
diff --git a/sys/contrib/dev/acpica/source/compiler/aslmethod.c b/sys/contrib/dev/acpica/source/compiler/aslmethod.c
index 9b0a7a1..a9b0640 100644
--- a/sys/contrib/dev/acpica/source/compiler/aslmethod.c
+++ b/sys/contrib/dev/acpica/source/compiler/aslmethod.c
@@ -108,17 +108,6 @@ MtMethodAnalysisWalkBegin (
 
         WalkInfo->MethodStack = MethodInfo;
 
-        /* Special handling for _PRP, must have a _HID also */
-
-        if (!ACPI_STRCMP (METHOD_NAME__PRP, Op->Asl.NameSeg))
-        {
-            if (!ApFindNameInScope (METHOD_NAME__HID, Op))
-            {
-                AslError (ASL_WARNING, ASL_MSG_MISSING_DEPENDENCY, Op,
-                    "_PRP requires _HID in same scope");
-            }
-        }
-
         /* Get the name node */
 
         Next = Op->Asl.Child;
@@ -424,15 +413,6 @@ MtMethodAnalysisWalkBegin (
             }
         }
 
-        else if (!ACPI_STRCMP (METHOD_NAME__PRP, Op->Asl.NameSeg))
-        {
-            if (!ApFindNameInScope (METHOD_NAME__HID, Op))
-            {
-                AslError (ASL_WARNING, ASL_MSG_MISSING_DEPENDENCY, Op,
-                    "_PRP requires _HID in same scope");
-            }
-        }
-
         break;
 
     default:
diff --git a/sys/contrib/dev/acpica/source/compiler/asloptions.c b/sys/contrib/dev/acpica/source/compiler/asloptions.c
index 8d52826..039fc7d 100644
--- a/sys/contrib/dev/acpica/source/compiler/asloptions.c
+++ b/sys/contrib/dev/acpica/source/compiler/asloptions.c
@@ -168,7 +168,7 @@ AslDoOptions (
 
     /* Get the command line options */
 
-    while ((j = AcpiGetopt (argc, argv, ASL_SUPPORTED_OPTIONS)) != EOF) switch (j)
+    while ((j = AcpiGetopt (argc, argv, ASL_SUPPORTED_OPTIONS)) != ACPI_OPT_END) switch (j)
     {
     case '@':   /* Begin a response file */
 
diff --git a/sys/contrib/dev/acpica/source/compiler/aslstubs.c b/sys/contrib/dev/acpica/source/compiler/aslstubs.c
index 589edb2..6bbb89a 100644
--- a/sys/contrib/dev/acpica/source/compiler/aslstubs.c
+++ b/sys/contrib/dev/acpica/source/compiler/aslstubs.c
@@ -57,13 +57,6 @@
  * Things like Events, Global Lock, etc. are not used
  * by the compiler, so they are stubbed out here.
  */
-ACPI_PHYSICAL_ADDRESS
-AeLocalGetRootPointer (
-    void)
-{
-    return (0);
-}
-
 void
 AcpiNsExecModuleCodeList (
     void)
@@ -232,21 +225,3 @@ AcpiTbFindTable (
 {
     return (AE_SUPPORT);
 }
-
-/* OSL interfaces */
-
-ACPI_THREAD_ID
-AcpiOsGetThreadId (
-    void)
-{
-    return (1);
-}
-
-ACPI_STATUS
-AcpiOsExecute (
-    ACPI_EXECUTE_TYPE       Type,
-    ACPI_OSD_EXEC_CALLBACK  Function,
-    void                    *Context)
-{
-    return (AE_SUPPORT);
-}
